<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Results</title>
<!--    <link rel="stylesheet" href="/../static/styles/main.css">-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

</head>
<body class="text-center">
    <h1>Results</h1>
    <form method="get" action="{{url_for('search')}}">
        <input name="query" type="search" placeholder="Query">
        <input name="search" type="submit" value="search">
        <br>
        <input name="limit" type="number" min="1" placeholder="10" width="25px">
        <select name="option">
            <option value="AND">AND</option>
            <option value="OR">OR</option>
        </select>
    </form>
    <form method="get" action="{{url_for('index')}}">
        <input type="submit" value="return">
    </form>


    {% for result in results %}
    <p>{{result['title']}}</p>
    <img src={{result['image']}} class="img-thumbnail" alt="No Available Image", width="200px", height="200px">
    <p>{{result['summary']}}</p>
    <a href={{result['url']}}>Go to Page</a>
    <hr>
    {% endfor %}}

</body>
</html>